package kr.co.hanwha.hifive.data.model;

/**
 * Created by sanghoonkwon on 2018. 1. 22..
 */

public class TaskDetailData extends TaskData {
    /**
     * ex)
     */
    String author_name;
    /**
     * ex)
     */
    String author_profile_url;
    /**
     * ex) "2017-10-12 11:26:15.0"
     */
    String created_at;
    /**
     * ex) "2017-10-12 12:30:53.0"
     */
    String updated_at;
    /**
     * ex) 0
     */
    int message_type;
    /**
     * ex) null
     */
    String message_contents;

    int ref_task_id;

    public String getCreated_at() {
        return created_at;
    }

    public String getAuthor_name() {
        return author_name;
    }

    public String getAuthor_profile_url() {
        return author_profile_url;
    }

    public int getMessage_type() {
        return message_type;
    }

    public String getMessage_contents() {
        return message_contents;
    }

    @Override
    public String toString() {
        return "TaskDetailData{" +
                "\ntask_id=" + task_id +
                ",\n task_name='" + task_name + '\'' +
                ",\n author_member_id=" + author_member_id +
                ",\n flag=" + flag +
                ",\n member_id=" + member_id +
                ",\n project_name='" + project_name + '\'' +
                ",\n project_id=" + project_id +
                ",\n due_to='" + due_to + '\'' +
                ",\n status=" + status +
                ",\n timezone='" + timezone + '\'' +
                ",\n author_name='" + author_name + '\'' +
                ",\n repeat_day='" + repeat_day + '\'' +
                ",\n author_profile_url='" + author_profile_url + '\'' +
                ",\n description='" + description + '\'' +
                ",\n member_name='" + member_name + '\'' +
                ",\n evaluation=" + evaluation +
                ",\n member_profile_url='" + member_profile_url + '\'' +
                ",\n is_today=" + is_today +
                ",\n created_at='" + created_at + '\'' +
                ",\n updated_at='" + updated_at + '\'' +
                ",\n message_type=" + message_type +
                ",\n message_contents='" + message_contents + '\'' +
                ",\n ref_task_id=" + ref_task_id +
                "\n}";
    }
}
